For the complete documentation index, see llms.txt. This page is also available as Markdown.

Turnover report for products

Get products turnover report for a time period, optionally filtered on a list of product group and UIDs. The report generates sums of sold products and total values.

Required permissions: REPORTING

post
/tenants/{tenantUid}/reports/products
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
brandUidsstring[]Optional

Array of brandUids

fromDateTimestring · date-time · min: 10Required
productGroupUidsstring[]Optional

Array of productGroup ids

storeUidsstring[]Required

Array of storeUids

toDateTimestring · date-time · min: 10Required
groupByUserCodebooleanOptional

if true, the excel report returns a response with order items grouped by userCode

reportBasisstring · enumOptional
ENUMDescription
settledReport on settled orders using settled_at. Includes only orders with status COMPLETE and settleState COMPLETE.
orderedReport on orders using order_date. Includes orders with status COMPLETE or CONFIRMED.
Default: settledPossible values:
tenantUserUidstringOptionalPattern: ^[A-Za-z0-9-_]*
includeDeliveryCostAdjustmentsbooleanOptional

When true, the spreadsheet includes extra cost-only rows for items delivered on a later date than the sale, where the delivery cost differs from the sale cost price. Used to verify R9 report cost figures.

includeProductGroupLevelsbooleanOptional

When true, the spreadsheet appends one column pair per level in the product group hierarchy at the end of each row, one column for the uid and one for the name. The number of column pairs follows the deepest product group path in the report.

Responses
200

Response for Product turnover report.

post/tenants/{tenantUid}/reports/products
POST /v2/tenants/{tenantUid}/reports/products HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 294

{
  "brandUids": [
    "text"
  ],
  "fromDateTime": "2026-01-01T00:00:00.000Z",
  "productGroupUids": [
    "text"
  ],
  "storeUids": [
    "text"
  ],
  "toDateTime": "2026-01-01T00:00:00.000Z",
  "groupByUserCode": true,
  "reportBasis": "settled",
  "tenantUserUid": "text",
  "includeDeliveryCostAdjustments": true,
  "includeProductGroupLevels": true
}
200

Response for Product turnover report.

{
  "items": [
    {
      "costAmount": 1,
      "count": 1,
      "discountAmount": 1,
      "name": "text",
      "revenueAmount": 1,
      "revenuePercent": 1,
      "storeUid": "text",
      "turnoverAmount": 1,
      "brandUid": "text",
      "brandName": "text",
      "productGroupUid": "text",
      "productGroupName": "text",
      "productUid": "text",
      "sku": "text",
      "lastSettledAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?